cURL
curl 'https://api.exponent.finance/tranching-markets/CAdFPvNX3gHZobun6g1W6jesGyQ9fhdsGJZBXTbWjNww/activity/junior-trades?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4'
import requests
response = requests.get("https://api.exponent.finance/tranching-markets/CAdFPvNX3gHZobun6g1W6jesGyQ9fhdsGJZBXTbWjNww/activity/junior-trades?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/tranching-markets/CAdFPvNX3gHZobun6g1W6jesGyQ9fhdsGJZBXTbWjNww/activity/junior-trades?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"address": "CAdFPvNX3gHZobun6g1W6jesGyQ9fhdsGJZBXTbWjNww",
"trancheSide": "junior",
"rows": [
{
"id": "tranching-trade-7386",
"timestamp": "2026-10-08T13:56:28.000Z",
"type": "Redeem",
"syAmount": 1.87299,
"baseAmount": 1.9999789318179588,
"trancheAmount": 1.999273,
"price": 0.9368355397186877,
"syExchangeRate": 1.067800112023,
"txSignature": "5weUcvrmvRfGTxXQyvUtSL1sDGk4E7CyA3vDQAMm3vfm3EaGT7mrXC5vupSmSyMgerpcVjt39gaNBBacPf47W3Ve"
},
{
"id": "tranching-trade-7385",
"timestamp": "2026-10-08T13:54:46.000Z",
"type": "Invest",
"syAmount": 1.872992,
"baseAmount": 1.9999806785719327,
"trancheAmount": 1.999273,
"price": 0.9368365400823199,
"syExchangeRate": 1.067799904416,
"txSignature": "4GLtkdoiftGZHoeUpoq3cGTfBsdPfdFbNFZKVtGazoqu7KN4Vo2mznXbigExXqdpxpLiEUz8jSBUEuT4Nu8DXxqW"
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}
Positions
Wallet junior tranche activity
Retrieve a wallet’s investments, redemptions, and reward claims for the junior tranche.
GET
/
tranching-markets
/
{address}
/
activity
/
junior-trades
cURL
curl 'https://api.exponent.finance/tranching-markets/CAdFPvNX3gHZobun6g1W6jesGyQ9fhdsGJZBXTbWjNww/activity/junior-trades?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4'
import requests
response = requests.get("https://api.exponent.finance/tranching-markets/CAdFPvNX3gHZobun6g1W6jesGyQ9fhdsGJZBXTbWjNww/activity/junior-trades?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/tranching-markets/CAdFPvNX3gHZobun6g1W6jesGyQ9fhdsGJZBXTbWjNww/activity/junior-trades?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"address": "CAdFPvNX3gHZobun6g1W6jesGyQ9fhdsGJZBXTbWjNww",
"trancheSide": "junior",
"rows": [
{
"id": "tranching-trade-7386",
"timestamp": "2026-10-08T13:56:28.000Z",
"type": "Redeem",
"syAmount": 1.87299,
"baseAmount": 1.9999789318179588,
"trancheAmount": 1.999273,
"price": 0.9368355397186877,
"syExchangeRate": 1.067800112023,
"txSignature": "5weUcvrmvRfGTxXQyvUtSL1sDGk4E7CyA3vDQAMm3vfm3EaGT7mrXC5vupSmSyMgerpcVjt39gaNBBacPf47W3Ve"
},
{
"id": "tranching-trade-7385",
"timestamp": "2026-10-08T13:54:46.000Z",
"type": "Invest",
"syAmount": 1.872992,
"baseAmount": 1.9999806785719327,
"trancheAmount": 1.999273,
"price": 0.9368365400823199,
"syExchangeRate": 1.067799904416,
"txSignature": "4GLtkdoiftGZHoeUpoq3cGTfBsdPfdFbNFZKVtGazoqu7KN4Vo2mznXbigExXqdpxpLiEUz8jSBUEuT4Nu8DXxqW"
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}
Path parameters
string
required
Solana account address.
Query parameters
string
required
User wallet address.
cURL
curl 'https://api.exponent.finance/tranching-markets/CAdFPvNX3gHZobun6g1W6jesGyQ9fhdsGJZBXTbWjNww/activity/junior-trades?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4'
import requests
response = requests.get("https://api.exponent.finance/tranching-markets/CAdFPvNX3gHZobun6g1W6jesGyQ9fhdsGJZBXTbWjNww/activity/junior-trades?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4", timeout=30)
response.raise_for_status()
print(response.json())
const response = await fetch("https://api.exponent.finance/tranching-markets/CAdFPvNX3gHZobun6g1W6jesGyQ9fhdsGJZBXTbWjNww/activity/junior-trades?walletAddress=HRt73vbP87cUmzJJAH5tWyCuwyN9Syws2RxqND9pTMs4");
if (!response.ok) {
throw new Error(`Request failed: ${response.status}`);
}
const data = await response.json();
console.log(data);
{
"address": "CAdFPvNX3gHZobun6g1W6jesGyQ9fhdsGJZBXTbWjNww",
"trancheSide": "junior",
"rows": [
{
"id": "tranching-trade-7386",
"timestamp": "2026-10-08T13:56:28.000Z",
"type": "Redeem",
"syAmount": 1.87299,
"baseAmount": 1.9999789318179588,
"trancheAmount": 1.999273,
"price": 0.9368355397186877,
"syExchangeRate": 1.067800112023,
"txSignature": "5weUcvrmvRfGTxXQyvUtSL1sDGk4E7CyA3vDQAMm3vfm3EaGT7mrXC5vupSmSyMgerpcVjt39gaNBBacPf47W3Ve"
},
{
"id": "tranching-trade-7385",
"timestamp": "2026-10-08T13:54:46.000Z",
"type": "Invest",
"syAmount": 1.872992,
"baseAmount": 1.9999806785719327,
"trancheAmount": 1.999273,
"price": 0.9368365400823199,
"syExchangeRate": 1.067799904416,
"txSignature": "4GLtkdoiftGZHoeUpoq3cGTfBsdPfdFbNFZKVtGazoqu7KN4Vo2mznXbigExXqdpxpLiEUz8jSBUEuT4Nu8DXxqW"
}
]
}
{
"error": "<message>"
}
{
"error": "<message>"
}